date: 2005-11-20 02:28:24
ispublic: 1
source: http://farm1.static.flickr.com/73/172273228_8c25fb78db_o.jpg
tags: St.Petersburg, people
title: St.Petersburg
url: http://www.flickr.com/photos/umonkey/172273228/
---
Draky J. Void, me and Indeyets in a park near the Black River subway station, St.Petersburg.